# Xapian::ValueIterator Class Reference

An iterator pointing to values associated with a document. More...

`#include <valueiterator.h>`

Collaboration diagram for Xapian::ValueIterator:

[legend]
List of all members.

## Public Types

typedef std::input_iterator_tag | iterator_category
| Allow use as an STL iterator.
typedef std::string | value_type
typedef Xapian::valueno_diff | difference_type
typedef std::string * | pointer
typedef std::string & | reference

## Public Member Functions

| ValueIterator ()
| Create an uninitialised iterator; this cannot be used, but is convenient syntactically.
| ValueIterator (const ValueIterator &other)
| Copying is allowed (and is cheap).
void | operator= (const ValueIterator &other)
| Assignment is allowed (and is cheap).
ValueIterator & | operator++ ()
| Advance the iterator.
ValueIterator | operator++ (int)
| Advance the iterator (postfix variant).
const std::string & | operator * () const
| Get the value for the current position.
const std::string * | operator-> () const
| Get the value for the current position.
Xapian::valueno | get_valueno () const
| Get the number of the value at the current position.
std::string | get_description () const
| Returns a string describing this object.

## Friends

class | Document
bool | operator== (const ValueIterator &a, const ValueIterator &b)
bool | operator!= (const ValueIterator &a, const ValueIterator &b)

## Detailed Description

An iterator pointing to values associated with a document.

## Member Typedef Documentation

typedef std::input_iterator_tag Xapian::ValueIterator::iterator_category

Allow use as an STL iterator.

## Constructor & Destructor Documentation

Xapian::ValueIterator::ValueIterator | ( |  | ) | `[inline]`

Create an uninitialised iterator; this cannot be used, but is convenient syntactically.

Xapian::ValueIterator::ValueIterator | ( | const ValueIterator & | other | ) | `[inline]`

Copying is allowed (and is cheap).

## Member Function Documentation

void Xapian::ValueIterator::operator= | ( | const ValueIterator & | other | ) | `[inline]`

Assignment is allowed (and is cheap).

ValueIterator& Xapian::ValueIterator::operator++ | ( |  | ) | `[inline]`

Advance the iterator.

ValueIterator Xapian::ValueIterator::operator++ | ( | int |  | ) | `[inline]`

Advance the iterator (postfix variant).

const std::string& Xapian::ValueIterator::operator * | ( |  | ) | const

Get the value for the current position.

const std::string* Xapian::ValueIterator::operator-> | ( |  | ) | const

Get the value for the current position.

Xapian::valueno Xapian::ValueIterator::get_valueno | ( |  | ) | const

Get the number of the value at the current position.

std::string Xapian::ValueIterator::get_description | ( |  | ) | const

Returns a string describing this object.

Introspection method.

The documentation for this class was generated from the following file:

- include/xapian/valueiterator.h